﻿using Ex03.GarageLogic;

namespace Ex03.GarageManagementSystem.ConsoleUI
{
    public class Program
    {
        public static void Main()
        {
            Garage garage = new Garage();
            
            bool done = false;
            while (!done)
            {
                UserInterface.eMainOptions userSelection = UserInterface.MainMenu();
                switch (userSelection)
                {
                    case UserInterface.eMainOptions.ListPlateNumbers:
                        UserInterface.VehiclesInGarageMenu(garage);
                        break;
                    case UserInterface.eMainOptions.EnterPlateNumber:
                        UserInterface.SingleVehicleManipulation(garage);
                        break;
                    case UserInterface.eMainOptions.Exit:
                        done = true;
                        break;
                    default:
                        break;
                }
            }
        }
    }
}
