﻿using System;

namespace Game
{
    public class CardEventArgs : EventArgs
    {
        private Card.eCardStatus m_Status;
        private Board m_BoardPointer;
        private Board.Coordinate m_Coordinates;

        public Board.Coordinate Coordinates
        {
            get { return m_Coordinates; }
            set { m_Coordinates = value; }
        }

        public Board BoardPointer
        {
            get { return m_BoardPointer; }
            set { m_BoardPointer = value; }
        }

        public Card.eCardStatus Status
        {
            get { return m_Status; }
            set { m_Status = value; }
        }
    }
}
