//	ID: 066498650
//	Exercise #: 2
//	By:	Roy Moore
//
//	Written:	19/12/2011
//	Environment : VS2010
//
//-UDPTimeServer.h-

#ifndef __UDPTIMESERVER_H
#define __UDPTIMESERVER_H

#include "UDPTime.h"

//------------------Prototypes----------------------------------------------
void StartServer(SOCKET connSocket);
void SendTime(SOCKET connSocket, MsgInfo *info, sockaddr * to_addr);
void SendTimeWithoutYear(SOCKET connSocket, MsgInfo *info, sockaddr * to_addr);
void SendTimeSinceEpoch(SOCKET connSocket, MsgInfo *info, sockaddr * to_addr);
void SendClientToServerDelayEstimation(SOCKET connSocket, MsgInfo *info, sockaddr * to_addr);
void ServerMeasureRTT(SOCKET connSocket, MsgInfo *info, sockaddr * to_addr);
void SendDayAndMounth(SOCKET connSocket, MsgInfo *info, sockaddr * to_addr);
void SendYear(SOCKET connSocket, MsgInfo *info, sockaddr * to_addr);
void SendTimeInFormat(char* format, SOCKET connSocket, MsgInfo *info, sockaddr * to_addr);
void SendTimeMs(SOCKET connSocket, MsgInfo *info, sockaddr * to_addr);

#endif // __UDPTIMESERVER_H