﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Ex04.Menus.Delegates
{
    public abstract class MenuItem
    {
        private string m_Title = string.Empty;
        private int m_ItemNumber = 0;

        internal abstract void DoWhenSelected();

        internal int ItemNumber
        {
            get { return m_ItemNumber; }
            set { m_ItemNumber = value; }
        }

        public string Title
        {
            get { return m_Title; }
            set { m_Title = value; }
        }
    }
}
